# std::filesystem::directory_entry::path

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

const std::filesystem::path & path() const noexcept; |  | (since C++17)
operator const std::filesystem::path & () const noexcept; |  | (since C++17)

Returns the full path the directory entry refers to.

### Parameters

(none)

### Return value

The full path the directory entry refers to.

### Example

| This section is incomplete Reason: no example

### See also

| This section is incomplete

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/path&oldid=105014"